Bug 812333 - spacewalk-hostname-rename changes oracle-xe configuration
spacewalk-hostname-rename changes oracle-xe configuration
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-04-13 08:30 EDT by Lukas Pramuk
Modified: 2012-11-01 12:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 12:18:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Pramuk 2012-04-13 08:30:42 EDT
Description of problem:
Launching spacewalk-hostname-rename permanently changes oracle listener  configuration and restarts oracle-xe service right away. The result is that oracle listener listens on localhost instead of 0.0.0.0 ( as was configured by install proccess ).
It's not correct, yet unexpected behavior!

Version-Release number of selected component (if applicable):
spacewalk-utils-1.7.15-1.el6.noarch
spacewalk-utils-1.8.4-1.el6.noarch


Steps to Reproduce:
1. netstat -plnt | grep 1521 ( 0.0.0.0:1521 LISTEN 21730/tnslsnr)
2. spacewalk-hostname-rename <IP>
3. netstat -plnt | grep 1521 ( 127.0.0.1:1521 LISTEN 21735/tnslsnr)
  
Actual results:
unexpected changes in oracle listener configuration

Expected results:
oracle listener configuration intact, there's no reason to change it
Comment 1 Lukas Pramuk 2012-04-13 08:34:25 EDT
grep -A11 "# for spacewalk only:" /usr/bin/spacewalk-hostname-rename
Comment 5 Tomas Lestach 2012-05-18 09:47:16 EDT
Fixed ...

spacewalk.git: a84b25cd39d8cfa7e15669ebabdab639abc05c2b
Comment 6 Jan Pazdziora 2012-10-30 15:23:18 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 7 Jan Pazdziora 2012-11-01 12:18:29 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.